Subject: case sensitive directory names
From: [email-masked] (Kevin Hughes)

4 Dec 1997 02:53:18 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 8bit
To: "Gnuwin95 (E-mail)" <[email-masked]>

I have a bad habit of using upper and lower case names in my directory names - not mixing them but having a directory called UPPERCASE rather than uppercase.

This is no problem on Unix which copes as it handles upper and lower case for the names. NT does not - all files are essentially lower case. Fine I can cope with that but gnuwin appears to remember the name I typed and then uses that in the answer to pwd. Hence can do the following

bash$ pwd
/devel/kh/CC/SC
bash$ cd  ..
bash$ pwd
/devel/kh/CC
bash$ cd sc
bash$ pwd
/devel/kh/CC/sc

Since I have scripts that check "where" I am in a directory structure before they will do anything this gets a bit tedious. I also have scripts which store away the answer to "pwd" and check it next time I try to do things. I

Is there any real reason for this behaviour.? Can I turn it off and force lower case always? 

Kevin

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".